This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 168044 - Review Request: perl-Log-Dispatch - Dispatches messages to one or more outputs
Review Request: perl-Log-Dispatch - Dispatches messages to one or more outputs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
http://gsd.di.uminho.pt/jpo/software/...
:
Depends On: 168043
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-11 12:09 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 15:08:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-09-11 12:09:45 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Dispatch.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Dispatch-2.11-1.src.rpm

Description:
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level.  It is designed to be easily subclassed, both for creating a
new dispatcher object and particularly for creating new outputs.

Note:
This is an RT requirement.
Comment 1 Jose Pedro Oliveira 2005-09-11 12:11:33 EDT
mod_perl perl script to test Log::Dispatch::ApacheLog:
http://gsd.di.uminho.pt/jpo/software/fedora/apachelog.pl
Comment 2 Ralf Corsepius 2005-09-12 01:55:43 EDT
One release technical issue:

How do you plan to handle the mod_perl2/mod_perl issue inside of CVS?

I'd recommend to remove the mod_perl2 %define for FC > 4 rpm specs (and to 
"BR: mod_perl > ..."), but to keep it for FC-3 only.
Alternatively, you could consider to check for Apache::Log or Apache::Log inside
of the spec file and dynamically apply the patch, depending on the result of
such a check.

Anyway, final decision left to you.

APPROVED.
Comment 3 Jose Pedro Oliveira 2005-09-12 15:08:09 EDT
Release 2: Better mod_perl handling. Just using:

  if %{__perl} -e 'use Apache2::Log' ; then
  %patch0 -p1
  fi

Note You need to log in before you can comment on or make changes to this bug.